SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Refunds

Confirm refund

POST/api/v1/pawapay/refunds/confirm

Submits the code and sends the refund to PawaPay.

Requires Authorization
ADMIN only
Payout confirm

Body parameters

pendingIdstringrequired
From POST /refunds/request-approval.
codestringrequired
The verification code from the email.
Request
curl --request POST \
  --url https://api.swiftgoma.com/api/v1/pawapay/refunds/confirm \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "pendingId": "<pendingId>",
  "code": "482913"
}'
201Example response
{
  "success": true,
  "data": {
    "refundId": "ref_1a2b3c4d",
    "depositId": "SWG-DEP-9f8e7d6c5b4a3210",
    "status": "ACCEPTED"
  }
}